#!/bin/bash

####################
# New Exp script
# N. Scheffer 17/03/2005
# B Fauve
####################

echo "*********** New NIST SRE 2005 Expriement *********"
echo "Name of exp?"
read name

EXP_NAME=$name

NIST05_TOP_DIR=`pwd`;
mkdir exp
cd exp/
mkdir $EXP_NAME
cd $EXP_NAME

ln -s $NIST05_TOP_DIR/bin .
ln -s $NIST05_TOP_DIR/data .
ln -s $NIST05_TOP_DIR/lst .
ln -s $NIST05_TOP_DIR/lbl .
ln -s $NIST05_TOP_DIR/wld .
mkdir gmm
mkdir log
mkdir cfg
mkdir res
cp $NIST05_TOP_DIR/cfg/* ./cfg/
cp $NIST05_TOP_DIR/Makefile .
cp $NIST05_TOP_DIR/run_exp.sh .
echo `date` > date_host.info
echo `hostname` >> date_host.info

echo "***********		Done		*****************"
echo "*******************************"
echo "Now, edit your config Files"
echo "Then, type:"
echo "run_exp.sh"
echo "*******************************"
echo ""