#!/bin/bash

#*********feature extraction**************
#wld and impostors
echo 'make generate_features_wld_imp';
make generate_features_wld_imp
find ../../wld/ -name "*tmp.prm" | xargs -i rm {}
echo 

echo 'make generate_features_wld_imp GDR=female'
make generate_features_wld_imp GDR=female
find ../../wld/ -name "*tmp.prm" | xargs -i rm {}
echo

# # tests
echo 'make generate_features_test'
make generate_features_test
find ../../data/ -name "*.tmp.prm" | xargs -i rm {}
echo

echo 'make generate_features_test GDR=female'
make generate_features_test GDR=female
find ../../data/ -name "*.tmp.prm" |  xargs -i rm {}
echo

echo 'make generate_features_test TYPE=eva'
make generate_features_test TYPE=eva
find ../../data/ -name "*.tmp.prm" |  xargs -i rm {}
echo

echo 'make generate_features_test TYPE=eva GDR=female'
make generate_features_test TYPE=eva GDR=female
find ../../data/ -name "*.tmp.prm" |  xargs -i rm {}
echo
#end of***feature extraction**************


#************ training *********************
echo 'make world' 
make world 
echo
echo 'make world GDR=female'
make world GDR=female
echo

echo 'make imp'
make imp
echo

echo 'imp GDR=female'
make imp GDR=female
echo

echo 'make target'
make target
echo

echo 'make target GDR=female'
make target GDR=female
echo

echo 'make target TYPE=eva'
make target TYPE=eva
echo

echo 'make target TYPE=eva GDR=female'
make target TYPE=eva GDR=female
echo
#**end of training *********************

 
# ********* tests (+tnorm and scoring)
echo 'make tests'  
make tests
echo

echo 'make tests GDR=female'
make tests GDR=female
echo

echo 'make tests TYPE=eva'
make tests TYPE=eva
echo

echo 'make tests TYPE=eva GDR=female'
make tests TYPE=eva GDR=female
echo

