#!/bin/bash

if [ $# != 2 ]; then
echo "usage: $0 liste <02|04>"
exit 1
fi

SPRO_BIN_DIR=./bin
SPH_DIR=data/sph/
PRM_DIR=data/prm/

TMP_DIR=./tmp
OPTS="-F sphere -p 16 -e -D -k 0 -i 300 -u 3400"

for i in `cat $1`;do
if [ "$2" == "02" ];then
echo "$SPRO_BIN_DIR/sfbcep $OPTS ./wld/$SPH_DIR/$i.sph ./wld/$PRM_DIR$i.tmp.prm"
$SPRO_BIN_DIR/sfbcep $OPTS ./$SPH_DIR/$i.sph ./wld/$PRM_DIR$i.tmp.prm
fi
if [ "$2" == "04" ];then
echo "$SPRO_BIN_DIR/sfbcep $OPTS ./$SPH_DIR/$i.sph ./$PRM_DIR$i.tmp.prm"
$SPRO_BIN_DIR/sfbcep $OPTS ./$SPH_DIR/$i.sph ./$PRM_DIR$i.tmp.prm
fi
done

